# FoundationClasses
TKMath
Bnd

# Bnd_BoundSortBox Class Reference

A tool to compare a bounding box or a plane with a set of
bounding boxes. It sorts the set of bounding boxes to give
the list of boxes which intersect the element being compared.
The boxes being sorted generally bound a set of shapes,
while the box being compared bounds a shape to be
compared. The resulting list of intersecting boxes therefore
gives the list of items which potentially intersect the shape to be compared.
.

`#include <Bnd_BoundSortBox.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Bnd_BoundSortBox ()
| Constructs an empty comparison algorithm for bounding boxes. The bounding boxes are then defined using the Initialize function. .
Standard_EXPORT void | Initialize (const Bnd_Box &CompleteBox, const Handle(Bnd_HArray1OfBox)&SetOfBox)
| Initializes this comparison algorithm with - the set of bounding boxes SetOfBox. .
Standard_EXPORT void | Initialize (const Handle(Bnd_HArray1OfBox)&SetOfBox)
| Initializes this comparison algorithm with - the set of bounding boxes SetOfBox, where CompleteBox is given as the global bounding box of SetOfBox. .
Standard_EXPORT void | Initialize (const Bnd_Box &CompleteBox, const Standard_Integer nbComponents)
| Initializes this comparison algorithm, giving it only - the maximum number nbComponents of the bounding boxes to be managed. Use the Add function to define the array of bounding boxes to be sorted by this algorithm. .
Standard_EXPORT void | Add (const Bnd_Box &theBox, const Standard_Integer boxIndex)
| Adds the bounding box theBox at position boxIndex in the array of boxes to be sorted by this comparison algorithm. This function is used only in conjunction with the third syntax described in the synopsis of Initialize. .
Standard_EXPORT const TColStd_ListOfInteger & | Compare (const Bnd_Box &theBox)
| Compares the bounding box theBox, with the set of bounding boxes to be sorted by this comparison algorithm, and returns the list of intersecting bounding boxes as a list of indexes on the array of bounding boxes used by this algorithm. .
Standard_EXPORT const TColStd_ListOfInteger & | Compare (const gp_Pln &P)
| Compares the plane P with the set of bounding boxes to be sorted by this comparison algorithm, and returns the list of intersecting bounding boxes as a list of indexes on the array of bounding boxes used by this algorithm. .
Standard_EXPORT void | Dump () const
Standard_EXPORT void | Destroy ()
| ~Bnd_BoundSortBox ()

## Private Member Functions

Standard_EXPORT void | SortBoxes ()
| Prepares BoundSortBox and sorts the boxes of <setofbox> . .

## Private Attributes

Bnd_Box | myBox
Handle_Bnd_HArray1OfBox | myBndComponents
Standard_Real | Xmin
Standard_Real | Ymin
Standard_Real | Zmin
Standard_Real | deltaX
Standard_Real | deltaY
Standard_Real | deltaZ
Standard_Integer | discrX
Standard_Integer | discrY
Standard_Integer | discrZ
Standard_Integer | theFound
TColStd_DataMapOfIntegerInteger | Crible
TColStd_ListOfInteger | lastResult
Standard_Address | TabBits

## Constructor & Destructor Documentation

Standard_EXPORT Bnd_BoundSortBox::Bnd_BoundSortBox | ( |  | ) |

Bnd_BoundSortBox::~Bnd_BoundSortBox | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void Bnd_BoundSortBox::Add | ( | const Bnd_Box & | theBox,
|  | const Standard_Integer | boxIndex
| ) |

Standard_EXPORT const TColStd_ListOfInteger& Bnd_BoundSortBox::Compare | ( | const gp_Pln & | P | ) |

Standard_EXPORT const TColStd_ListOfInteger& Bnd_BoundSortBox::Compare | ( | const Bnd_Box & | theBox | ) |

Standard_EXPORT void Bnd_BoundSortBox::Destroy | ( |  | ) |

Standard_EXPORT void Bnd_BoundSortBox::Dump | ( |  | ) | const

Standard_EXPORT void Bnd_BoundSortBox::Initialize | ( | const Bnd_Box & | CompleteBox,
|  | const Standard_Integer | nbComponents
| ) |

Standard_EXPORT void Bnd_BoundSortBox::Initialize | ( | const Handle(Bnd_HArray1OfBox)& | SetOfBox | ) |

Standard_EXPORT void Bnd_BoundSortBox::Initialize | ( | const Bnd_Box & | CompleteBox,
|  | const Handle(Bnd_HArray1OfBox)& | SetOfBox
| ) |

void Bnd_BoundSortBox::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Bnd_BoundSortBox::operator new | ( | size_t | size | ) | `[inline]`

void* Bnd_BoundSortBox::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void Bnd_BoundSortBox::SortBoxes | ( |  | ) | `[private]`

## Field Documentation

TColStd_DataMapOfIntegerInteger Bnd_BoundSortBox::Crible `[private]`

Standard_Real Bnd_BoundSortBox::deltaX `[private]`

Standard_Real Bnd_BoundSortBox::deltaY `[private]`

Standard_Real Bnd_BoundSortBox::deltaZ `[private]`

Standard_Integer Bnd_BoundSortBox::discrX `[private]`

Standard_Integer Bnd_BoundSortBox::discrY `[private]`

Standard_Integer Bnd_BoundSortBox::discrZ `[private]`

TColStd_ListOfInteger Bnd_BoundSortBox::lastResult `[private]`

Handle_Bnd_HArray1OfBox Bnd_BoundSortBox::myBndComponents `[private]`

Bnd_Box Bnd_BoundSortBox::myBox `[private]`

Standard_Address Bnd_BoundSortBox::TabBits `[private]`

Standard_Integer Bnd_BoundSortBox::theFound `[private]`

Standard_Real Bnd_BoundSortBox::Xmin `[private]`

Standard_Real Bnd_BoundSortBox::Ymin `[private]`

Standard_Real Bnd_BoundSortBox::Zmin `[private]`

The documentation for this class was generated from the following file:

- Bnd_BoundSortBox.hxx